run Assemblage_DataFile1.m

%% Translation stage
ty = struct();
ty.m = smiData.Solid(4).mass+smiData.Solid(6).mass+smiData.Solid(7).mass+smiData.Solid(8).mass+smiData.Solid(9).mass+4*smiData.Solid(11).mass+smiData.Solid(24).mass+smiData.Solid(25).mass+smiData.Solid(28).mass;
ty.k.ax = 1e7; %z
ty.k.rad = 9e9; %x
ty.k.rrad = 9e9; %y
ty.ksi.ax = 10;
ty.ksi.rad = 10;
ty.ksi.rrad = 10;
ty = updateDamping(ty);


%% Tilt
ry = struct();
ry.m = smiData.Solid(6).mass+smiData.Solid(7).mass;
ry.k.ax = 1e8;
ry.k.rad = 1e8;
ry.ksi.ax = 5;
ry.ksi.rad = 10;
ry = updateDamping(ry);



%% Spindle
rz = struct();


%% Hexapod Symetrie
hexapod = struct();


%% Nano stage
n = struct();



%%
function element = updateDamping(element)
    for field = fieldnames(element.k)
        element.c.(field{1}) = 1/element.ksi.(field{1})*sqrt(element.k.(field{1})/element.m);
    end
end
